<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>abbreviation()
: <a class="el" href="classunits_1_1unit__t.html#ad79c79ec73cd83200af8b6c0867c69c9">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>convert()
: <a class="el" href="classunits_1_1unit__t.html#a12e64b5a271bea053d685fc30df9aeee">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>linear_scale()
: <a class="el" href="structunits_1_1linear__scale.html#abe50562800503f5e1720ee1af2c6ad0f">units::linear_scale&lt; T &gt;</a>
</li>
<li>name()
: <a class="el" href="classunits_1_1unit__t.html#a3bc99e9ce0f2b0c16358a620a2085b68">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>operator std::chrono::nanoseconds()
: <a class="el" href="classunits_1_1unit__t.html#a1b4652d0db0c70aed0df98ce510dea85">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>operator Ty()
: <a class="el" href="classunits_1_1unit__t.html#a0e83d3d3d051567eb33f1a475fa35704">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>operator!=()
: <a class="el" href="classunits_1_1unit__t.html#a8599d7df8a1db468dc3e61c3e6122041">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>operator&lt;()
: <a class="el" href="classunits_1_1unit__t.html#a0344e38243a1338677da61fc4d0ef2e9">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>operator&lt;=()
: <a class="el" href="classunits_1_1unit__t.html#a0cb34c0c879367098d36408f833fb711">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>operator=()
: <a class="el" href="classunits_1_1unit__t.html#a3cd356057a6c39cebe33e4ea6ef3c6f6">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>operator==()
: <a class="el" href="classunits_1_1unit__t.html#acb13edd0520e3108b5c4b99af455210b">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>operator&gt;()
: <a class="el" href="classunits_1_1unit__t.html#aa217fffcd201893766279a216c30bd03">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>operator&gt;=()
: <a class="el" href="classunits_1_1unit__t.html#ade9d4c04fc33fc1a62aaef313729aff4">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>to()
: <a class="el" href="classunits_1_1unit__t.html#a848f265210db571a1f7d13aae96c8dd5">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>toLinearized()
: <a class="el" href="classunits_1_1unit__t.html#a80b7f760f0ed5ff1855ec2f3d8e8c6b1">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>unit_t()
: <a class="el" href="classunits_1_1unit__t.html#ae772ed5c49f98651ff0a731633c4a079">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
</li>
<li>value()
: <a class="el" href="classunits_1_1unit__t.html#a5bb6799c6eb6f4cab7b47490ab03b9a1">units::unit_t&lt; Units, T, NonLinearScale &gt;</a>
, <a class="el" href="structunits_1_1unit__value__add.html#acc92394eedf6c99ca58e084450b2afdd">units::unit_value_add&lt; U1, U2 &gt;</a>
, <a class="el" href="structunits_1_1unit__value__divide.html#a7580c9bc9ddd8120d11fc76890ba961b">units::unit_value_divide&lt; U1, U2 &gt;</a>
, <a class="el" href="structunits_1_1unit__value__multiply.html#a20b685f1942d5a3017700ac7595d7548">units::unit_value_multiply&lt; U1, U2 &gt;</a>
, <a class="el" href="structunits_1_1unit__value__power.html#a3446bc38fe11fc76264063cd2cbbbe46">units::unit_value_power&lt; U1, power &gt;</a>
, <a class="el" href="structunits_1_1unit__value__sqrt.html#ade4226553e2a1b732b602cf80a86623f">units::unit_value_sqrt&lt; U1, Eps &gt;</a>
, <a class="el" href="structunits_1_1unit__value__subtract.html#aa17d1e6270cbb5554fd424698b0d314c">units::unit_value_subtract&lt; U1, U2 &gt;</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:58 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
